com.genesyslab.wfm8.API.service.config800

## Class CfgTimeOffTypeShort

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config800.CfgTimeOffTypeShort

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgTimeOffTypeShort
      extends java.lang.Object
      implements java.io.Serializable

  "Short" Time Off Type information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmBUId` BU ID, identifies `CfgBU` object
    `protected int` | `wmColor` Schedule state RGB color value.
    `protected int` | `wmFontColor` Schedule state font RGB color value.
    `protected java.lang.String` | `wmName` Time Off Type Name
    `protected boolean` | `wmPaid` Is Time Off paid? (true/false)
    `protected java.lang.String` | `wmShortName` Time Off Type Short Name
    `protected java.util.List<java.lang.Integer>` | `wmSiteId` Site ID array specifies sites (`CfgSite`) that time off is assigned to.
    `protected int` | `wmSiteIdNSizeIs`
    `protected int` | `wmTimeOffTypeId` Time Off Type ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgTimeOffTypeShort()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmColor()` Gets the value of the wmColor property.
    `int` | `getWmFontColor()` Gets the value of the wmFontColor property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `java.lang.String` | `getWmShortName()` Gets the value of the wmShortName property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `int` | `getWmTimeOffTypeId()` Gets the value of the wmTimeOffTypeId property.
    `int` | `hashCode()`
    `boolean` | `isWmPaid()` Gets the value of the wmPaid property.
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmColor(int value)` Sets the value of the wmColor property.
    `void` | `setWmFontColor(int value)` Sets the value of the wmFontColor property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmPaid(boolean value)` Sets the value of the wmPaid property.
    `void` | `setWmShortName(java.lang.String value)` Sets the value of the wmShortName property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `void` | `setWmTimeOffTypeId(int value)` Sets the value of the wmTimeOffTypeId property.
    `java.lang.String` | `toString()`
    `CfgTimeOffTypeShort` | `withWmBUId(int value)`
    `CfgTimeOffTypeShort` | `withWmColor(int value)`
    `CfgTimeOffTypeShort` | `withWmFontColor(int value)`
    `CfgTimeOffTypeShort` | `withWmName(java.lang.String value)`
    `CfgTimeOffTypeShort` | `withWmPaid(boolean value)`
    `CfgTimeOffTypeShort` | `withWmShortName(java.lang.String value)`
    `CfgTimeOffTypeShort` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgTimeOffTypeShort` | `withWmSiteId(java.lang.Integer... values)`
    `CfgTimeOffTypeShort` | `withWmSiteIdNSizeIs(int value)`
    `CfgTimeOffTypeShort` | `withWmTimeOffTypeId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmTimeOffTypeId

          protected int wmTimeOffTypeId

      Time Off Type ID

    - #### wmBUId

          protected int wmBUId

      BU ID, identifies `CfgBU` object

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

      Site ID array specifies sites (`CfgSite`) that time off is assigned to.

    - #### wmName

          protected java.lang.String wmName

      Time Off Type Name

    - #### wmShortName

          protected java.lang.String wmShortName

      Time Off Type Short Name

    - #### wmPaid

          protected boolean wmPaid

      Is Time Off paid? (true/false)

    - #### wmColor

          protected int wmColor

      Schedule state RGB color value. A value of -1 stands for NULL.

    - #### wmFontColor

          protected int wmFontColor

      Schedule state font RGB color value. A value of -1 stands for NULL.

  - ### Constructor Detail

    - #### CfgTimeOffTypeShort

          public CfgTimeOffTypeShort()

  - ### Method Detail

    - #### getWmTimeOffTypeId

          public int getWmTimeOffTypeId()

      Gets the value of the wmTimeOffTypeId property.

    - #### setWmTimeOffTypeId

          public void setWmTimeOffTypeId(int value)

      Sets the value of the wmTimeOffTypeId property.

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the value of the wmShortName property.
      Returns:
        possible object is `String`

    - #### setWmShortName

          public void setWmShortName(java.lang.String value)

      Sets the value of the wmShortName property.
      Parameters:
        `value` - allowed object is `String`

    - #### isWmPaid

          public boolean isWmPaid()

      Gets the value of the wmPaid property.

    - #### setWmPaid

          public void setWmPaid(boolean value)

      Sets the value of the wmPaid property.

    - #### getWmColor

          public int getWmColor()

      Gets the value of the wmColor property.

    - #### setWmColor

          public void setWmColor(int value)

      Sets the value of the wmColor property.

    - #### getWmFontColor

          public int getWmFontColor()

      Gets the value of the wmFontColor property.

    - #### setWmFontColor

          public void setWmFontColor(int value)

      Sets the value of the wmFontColor property.

    - #### withWmTimeOffTypeId

          public CfgTimeOffTypeShort withWmTimeOffTypeId(int value)

    - #### withWmBUId

          public CfgTimeOffTypeShort withWmBUId(int value)

    - #### withWmSiteIdNSizeIs

          public CfgTimeOffTypeShort withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgTimeOffTypeShort withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgTimeOffTypeShort withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmName

          public CfgTimeOffTypeShort withWmName(java.lang.String value)

    - #### withWmShortName

          public CfgTimeOffTypeShort withWmShortName(java.lang.String value)

    - #### withWmPaid

          public CfgTimeOffTypeShort withWmPaid(boolean value)

    - #### withWmColor

          public CfgTimeOffTypeShort withWmColor(int value)

    - #### withWmFontColor

          public CfgTimeOffTypeShort withWmFontColor(int value)

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.